﻿@model IEnumerable<MyWebApplication.Models.CompanyClass>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.companyname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.adress)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.companyname)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.adress)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.companyid }) |
            @Html.ActionLink("Details", "Details", new { id=item.companyid }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.companyid })
        </td>
    </tr>
}

</table>
